Package org.apache.aries.jax.rs.rest.management.internal.coerce

## Class Coerce

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.coerce.Coerce

    public class Coerce
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `elements​(com.fasterxml.jackson.databind.JsonNode node)`
`static Object` `from​(String type, boolean array, List<String> valueParts)`
`static Object` `from​(Map.Entry<String,​com.fasterxml.jackson.databind.JsonNode> entry)`
`static Object` `from​(Attribute keyAT, Attribute typeAT, String txt, boolean array)`
`static String` `type​(com.fasterxml.jackson.databind.JsonNode node, String name)`
`static String` `type​(String type, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### elements

    public static List<String> elements​(com.fasterxml.jackson.databind.JsonNode node)

#### type

    public static String type​(String type,
                              String name)

#### type

    public static String type​(com.fasterxml.jackson.databind.JsonNode node,
                              String name)

#### from

    public static Object from​(Map.Entry<String,​com.fasterxml.jackson.databind.JsonNode> entry)

#### from

    public static Object from​(Attribute keyAT,
                              Attribute typeAT,
                              String txt,
                              boolean array)

#### from

    public static Object from​(String type,
                              boolean array,
                              List<String> valueParts)